aboutsummaryrefslogtreecommitdiff
path: root/unicorn_mode
diff options
context:
space:
mode:
authorvanhauser-thc <vh@thc.org>2022-03-29 10:34:08 +0200
committervanhauser-thc <vh@thc.org>2022-03-29 10:34:08 +0200
commitb34751efbf9304128d8e52dfeeb3abe0d4f5ba3b (patch)
treec28249a5ee77976ff3786e919400d13c7528ed31 /unicorn_mode
parentd2ea1141ebef090b9763b73ef935d6fc45f4a2d7 (diff)
downloadAFLplusplus-b34751efbf9304128d8e52dfeeb3abe0d4f5ba3b.tar.gz
fix qemu sigunaction tests
Diffstat (limited to 'unicorn_mode')
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index a846fd1c..0f8c5e8c 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -217,7 +217,9 @@ cd ../samples/python_simple || echo "Cannot cd"
# Run afl-showmap on the sample application. If anything comes out then it must have worked!
unset AFL_INST_RATIO
-echo 0 | ../../../afl-showmap -U -m none -t 2000 -q -o ./.test-instr0 -- $PYTHONBIN ./simple_test_harness.py ./sample_inputs/sample1.bin || echo "Showmap"
+pwd
+echo "echo 0 | ../../../afl-showmap -U -m none -t 2000 -o ./.test-instr0 -- $PYTHONBIN ./simple_test_harness.py ./sample_inputs/sample1.bin"
+echo 0 | ../../../afl-showmap -U -m none -t 2000 -o ./.test-instr0 -- $PYTHONBIN ./simple_test_harness.py ./sample_inputs/sample1.bin || echo "Showmap"
if [ -s ./.test-instr0 ]
then